#include <iostream>
#include <string>

using namespace std;

int pole[500][85];

int kum_pole[500][85];

int prv[85] = {2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113, 127, 131, 137, 139, 149, 151, 157, 163, 167, 173, 179, 181, 191, 193, 197, 199, 211, 223, 227, 229, 233, 239, 241, 251, 257, 263, 269, 271, 277, 281, 283, 293, 307, 311, 313, 317, 331, 337, 347, 349, 353, 359, 367, 373, 379, 383, 389, 397, 401, 409, 419, 421, 431, 433, 439};

int pocitej(int x, int d) {
  int res=0;
  while (x % d == 0) {
    res++;
    x = x/d;
  }
  return res;
}

void init_pole() {
  for (int i=1; i<500; i++)
    for (int j=0; j<85; j++)
      pole[i][j] = pocitej(i,prv[j]);
  for (int j=0; j<85; j++)
    kum_pole[0][j] = pole[0][j];
  for (int i=1; i<500; i++)
    for (int j=0; j<85; j++)
      kum_pole[i][j] = kum_pole[i-1][j]+pole[i][j];
}

int main() {
  int n, k;
  init_pole();

  while (cin >> n >> k) {
    long long res = 1;
    //    int pom[85];
    //    if (k > n/2) k = n-k;
    //    for (int i=0; i<85; i++) pom[i] = 0;
//     for (int i=n; i>=n-k+1; i--) 
//       for (int j=0; j<85; j++)
// 	pom[j] += pole[i][j];
//     for (int i=1; i<=k; i++) 
//       for (int j=0; j<85; j++)
// 	pom[j] -= pole[i][j];
//    for (int j=0; j<85; j++)
//      pom[j] += kum_pole[n] - kum_pole[k] - kum_pole[n-k];
    for (int j=0; j<85; j++)
      res *= (kum_pole[n][j] - kum_pole[k][j] - kum_pole[n-k][j]+1);

    cout <<res<<endl;
  }

  return 0;
}
