#include <iostream>
#include <stack>

using namespace std;

struct bar {
  char op;
  int maxC, maxI;
};

stack<bar> st;

void foo() {
  //  cerr << "foo called "<< st.size()<<endl;
  if (st.top().op != 'V') return;
  bar horni = st.top();
  st.pop();
  if (st.empty()) {
    st.push(horni);
    return;
  }
  if (st.top().op == 'C') {
    st.pop();
    int tmp = horni.maxI;
    horni.maxI = horni.maxC; horni.maxC = tmp;
    st.push(horni);
    foo();
    return;
  }
  if (st.top().op == 'U') {
    st.push(horni);
    return;
  }
  bar dolni = st.top();
  st.pop();
  if (st.top().op == 'U') {
    st.pop();
    bar novy;
    novy.op = 'V';
    novy.maxC = (horni.maxC >dolni.maxC)? horni.maxC:dolni.maxC;
    novy.maxI = horni.maxI + dolni.maxI;
    st.push(novy);
    foo();
    return;
  }
}

void foo_new() {
  bool changed = true;
  //  cerr << "foo called "<< st.size()<<endl;
  while (changed) {
    changed = false;
    if (st.top().op != 'V') return;
    bar horni = st.top();
    st.pop();
    if (st.empty()) {
      st.push(horni);
      return;
    }
    if (st.top().op == 'C') {
      st.pop();
      int tmp = horni.maxI;
      horni.maxI = horni.maxC; horni.maxC = tmp;
      st.push(horni);
      changed = true;
    } else 
      if (st.top().op == 'U') {
	st.push(horni);
	return;
      } else {
	bar dolni = st.top();
	st.pop();
	if (st.top().op == 'U') {
	  st.pop();
	  bar novy;
	  novy.op = 'V';
	  novy.maxC = (horni.maxC >dolni.maxC)? horni.maxC:dolni.maxC;
	  novy.maxI = horni.maxI + dolni.maxI;
	  st.push(novy);
	  changed = true;
	}
      }
  }
}


int main() {

  string s;

  while (getline(cin, s) ) {
    for (int i=0; i<s.length(); i++) {
      //      cerr << "processing "<<s[i]<<endl;
      if (s[i]=='U' || s[i] == 'C') {
	bar b;
	b.op = s[i];
	st.push(b);
      }
      if (s[i]=='V') {
	bar b;
	b.op = 'V';
	b.maxC = 1; b.maxI = 1;
	st.push(b);
	foo_new();
      }
    }
    cout << st.top().maxI <<endl;
    while (! st.empty()) st.pop();
  }

  return 0;
}
